Ticket #43185

Make diplomatic battle veterancy gaining to respect combat_odds_scaled_veterancy

Date d'ouverture: 2021-11-10 13:28 Dernière mise à jour: 2021-12-06 01:46

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Jalon:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
2

Détails

When implementing combat_odds_scaled_veterancy ( https://www.hostedredmine.com/issues/804347 ) for regular combat, passing 100% chance as a parameter from any diplomatic battle seemed quite wrong. If challenge affects veterancy odds in normal combat, so should it in diplomatic one.

As part of #43200, this has also been posted to http://forum.freeciv.org/f/viewtopic.php?f=14&t=92051

Ticket History (3/8 Histories)

2021-11-10 13:28 Updated by: cazfi
  • New Ticket "Make diplomatic battle veterancy gaining to respect combat_odds_scaled_veterancy" created
2021-11-20 14:12 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
2021-11-20 14:14 Updated by: cazfi
  • Details Updated
2021-11-20 16:55 Updated by: cazfi
  • Résolution Update from Accepted to Aucun
Commentaire

Unlike for normal battle, the current patch does not scale the base chance up by multiplying to by 2 -> to make it 100 on the typical case where both sides have 50% chance of winning. 100 is the value that one gets when combat_odds_scaled_veterancy is disabled. This needs to be fixed.

2021-11-21 05:15 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
Commentaire

New version that has the scaling correctly.

2021-12-06 01:46 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion